Bug 1058044 - Brazilian Keyboard layout not working in Fedora 20 (lack of slash and backslash keys) [NEEDINFO]
Summary: Brazilian Keyboard layout not working in Fedora 20 (lack of slash and backsla...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 17:38 UTC by Ricardo Jurczyk Pinheiro
Modified: 2015-11-23 17:25 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-23 17:25:45 UTC
jforbes: needinfo?


Attachments (Terms of Use)
There are two images, from Gnome keyboard layout definitions, and from xkeycaps. (108.02 KB, image/png)
2014-01-26 17:38 UTC, Ricardo Jurczyk Pinheiro
no flags Details
Comment (104.74 KB, text/plain)
2014-02-05 09:49 UTC, Ricardo Jurczyk Pinheiro
no flags Details
dmesg of my F22 box. (238.10 KB, text/plain)
2015-07-22 16:08 UTC, Ricardo Jurczyk Pinheiro
ricardojpinheiro: review+
Details

Description Ricardo Jurczyk Pinheiro 2014-01-26 17:38:32 UTC
Created attachment 855714 [details]
There are two images, from Gnome keyboard layout definitions, and from xkeycaps.

Description of problem:
I've got this problem since Fedora 18 (I'm using Fedora 20). I have a pretty old and reliable IBM Model M keyboard, which has a Brazilian layout (ABNT2 variant). My problem relies in slash and backslash keys. I can't use them with BR-ABNT2 keyboard layout, only pressing Right-Alt + Q (for /), or Right-Alt + W (for ?), and I can't use backslash.

I tried other distros, and there are slash and backslash keys when I press thems. My old keyboard isn't broken. Tried another keyboard (a BR-ABNT2 Dell Quietkey), and the problem remains the same.

I tried the xev command, in order to find information about this keys, without success. So, I'm using an US keyboard layout as a workaround in console. Using Gnome, I need to change the keyboard layout everytime I need the backslash or pipe key.

localectl status gave me this output:
System Locale: LANG=pt_BR.utf8
VC Keymap: br-abnt2
X11 Layout: br
X11 Model: abnt2

localectl list-keymaps gives me lots of keymaps, including all Brazilian keymaps.

I decided to take a look at the keyboard definitions, from Gnome. The BR-ABNT2 keyboard which Gnome offers me doesn't have the slash or backslash keys. And I couldn't change this layout, Gnome keeps telling me that my keyboard doesn't have any slash or backslash keys. It's the first picture in the attachment.

I tried xkeycaps, and found an Brazilian Portuguese keyboard which is compatible to my Model M keyboard. It's a 107 key, wide Delete, tall Enter one. Despite the lack of Super and Meta keys, it's the same layout, as you can see, it's the second picture in the attachment.

I tried to generate a new xmodmap file, executing xmodmap ~/.xmodmap, and placing it in /etc/gdm/custom.conf. No success.

So, I think I should tell Gnome (and Linux) that I've a pc107 keyboard... Any ideas?

Version-Release number of selected component (if applicable):
Fedora 20

How reproducible:
Everytime.

Steps to Reproduce:
Just try to install any Fedoras since F17, and try to change the keyboard layout. I tried from F17 to F20 in a VM, there aren't any compatible keyboards.

Actual results:
Bang!

Expected results:
My slash and backslash keys again! :-)

Additional info:
All symbols works fine with this keyboard layout, except for slash and backslash keys.

Comment 1 Leslie Satenstein 2014-01-27 15:50:15 UTC
does Gnome show your layout as being in conformability with ISO/IEC 9995-1

https://en.wikipedia.org/wiki/ISO/IEC_9995 ^

I have a similar situation with the cafr layout. The Gnome layout does not show key B00

Comment 2 Peter Hutterer 2014-02-05 05:53:54 UTC
please attach your xorg.log, the output of "xprop -root | grep XKB" and the output of "xkbcomp -xkb $DISPLAY -"

Comment 3 Ricardo Jurczyk Pinheiro 2014-02-05 09:49:48 UTC
Created attachment 915841 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 4 Peter Hutterer 2014-02-09 23:43:20 UTC
whoah, next time please attach files that are longer than a couple of lines, it makes it easier to compare and search for things.

what does /etc/X11/xorg.conf.d/00-keyboard.conf look like?

 key <AB11> {
        type= "FOUR_LEVEL",
        symbols[Group1]= [           slash,        question,          degree,    questiondown ]
    };

 key <LSGT> {
        type= "FOUR_LEVEL",
        symbols[Group1]= [       backslash,             bar,       masculine,      dead_breve ]
    };

looks like the keys are configured as it should be. Note that the drawing of the keyboard isn't always 100% accurate. What keycodes do the keys generate? should be 98 and 94 (xev will tell you).

Comment 5 Ricardo Jurczyk Pinheiro 2014-02-14 18:18:18 UTC
(In reply to Peter Hutterer from comment #4)
> whoah, next time please attach files that are longer than a couple of lines,
> it makes it easier to compare and search for things.

Yuch, sorry! :-(

> what does /etc/X11/xorg.conf.d/00-keyboard.conf look like?

I changed with system-config-keyboard to br-abnt2.

It's shorter than those files I pasted above. :-)

# Read and parsed by systemd-localed. It's probably wise not to edit this file
# manually too freely.
Section "InputClass"
        Identifier "system-keyboard"
        MatchIsKeyboard "on"
        Option "XkbLayout" "br"
        Option "XkbModel" "abnt2"
EndSection

(...)
> 
> looks like the keys are configured as it should be. Note that the drawing of
> the keyboard isn't always 100% accurate. What keycodes do the keys generate?
> should be 98 and 94 (xev will tell you).

I tried xev, pressed both keys, but it didn't gave me any answers. I tried a USB mini-keyboard that I've got here, and I got 97 and 94.

Comment 6 Ricardo Jurczyk Pinheiro 2014-05-01 21:31:59 UTC
Three months ago, I sent this bug. It was discussed, I sent some files, but there weren't any solutions. Was this annoying bug a forgotten one? Any news?

Comment 7 Peter Hutterer 2014-06-05 04:28:00 UTC
> I tried xev, pressed both keys, but it didn't gave me any answers. I tried a
> USB mini-keyboard that I've got here, and I got 97 and 94.

just to confirm: xev didn't show any key presses at all?
what does evemu-record show for that device, i.e. what's the actual scan code coming in from the kernel?

Comment 8 Ricardo Jurczyk Pinheiro 2014-07-19 16:21:42 UTC
Hi, sorry for the late delay, I was on a trip.

Yes, xev doesn't show any keypresses if I press the slash or the backslash keys.

How can I see the scan code coming from the kernel? How can I use evemu-record, is it an utility?

Comment 9 Peter Hutterer 2014-07-22 02:32:35 UTC
yum install evemu, see http://www.freedesktop.org/wiki/Evemu for some more info

Comment 10 Ricardo Jurczyk Pinheiro 2014-07-22 03:27:28 UTC
Hm, I run evemu-record as a root user. My Model M keyboard is attached via a PS/2-USB adapter, so it was detected as event2 and event3. The last one didn't work, but event2 waited for response. Every key I pressed gave me some answer, unless the slash and backslash keys. When I pressed them, no response.

I could not understand anything.

Comment 11 Peter Hutterer 2014-07-22 04:01:40 UTC
hmm, if you don't get events from the kernel then this is either a problem with the kernel, or your keyboard. if you vt-switch to a tty, does the keyboard work then?

Comment 12 Ricardo Jurczyk Pinheiro 2014-07-22 04:29:46 UTC
Hmm... It doesn't work in any ttys too. But I tried with Arch Linux and the keyboard works perfectly, even the slash and backslash keys. I didn't tried a liveCD distro, but I can do it ASAP.

Maybe the kernel? I think the PS/2-USB adapter isn't doing the trick, or even my KVM switch (2 computers). I tried Arch in my second computer.

Comment 13 Peter Hutterer 2014-07-23 00:15:16 UTC
definitely a kernel issue then, moving over

Comment 14 Ricardo Jurczyk Pinheiro 2014-09-01 03:19:09 UTC
Hmmm.. I decided to try another kernels with my F20, so I`m trying zen-kernel. Which changes to the .config file I need to do, in order to have my keyboard fully compatible? Any ideas?

Comment 15 Justin M. Forbes 2014-11-13 16:04:13 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 16 Ricardo Jurczyk Pinheiro 2014-11-14 21:25:52 UTC
I'm using 3.17.2-200.fc20 kernel, and unfortunately it seems that nothing changed, the bug remains the same.

Comment 17 Ricardo Jurczyk Pinheiro 2014-11-30 21:36:40 UTC
(In reply to Justin M. Forbes from comment #15)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 20 kernel bugs.
> 
> Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.
> 
> If you have moved on to Fedora 21, and are still experiencing this issue,
> please change the version to Fedora 21.
> 
> If you experience different issues, please open a new bug report for those.

I'm using 3.17.3-200.fc20 kernel, and unfortunately it seems that nothing changed, the bug remains the same, and I can't use the slash and backslash keys in a keyboard with the ABNT2 (Brazilian) layout.

Comment 18 Fedora Kernel Team 2015-02-24 16:25:02 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 19 Ricardo Jurczyk Pinheiro 2015-04-05 04:02:04 UTC
Hi, I do apologize for the lack of information since your last contact. 

Well, I'm using Fedora 21, and my keyboard stays the same: it doesn't works properly, same backslash/pipe key missing, and it doesn't recognize the slash/question mark key.

As I said before, it's an old ABNT-1 IBM Model M keyboard which I'm very fond of, and I think the Fedora team removed that keyboard layout since Fedora 17 (or 18), maybe due to the lack of users. Who knows...

I hope you can solve this nasty bug before the F22 release. There are a lot of info in the comments above, any additional questions, please drop me an comment, I'd be glad 2 help.

Thanks in advance, Ricardo.

Comment 20 Fedora Kernel Team 2015-04-28 18:31:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.19.5-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 21 Ricardo Jurczyk Pinheiro 2015-07-17 18:17:52 UTC
This keyboard is an old one, so it's ABNT-1, not ABNT-2. It seems that I need a kernel patch in order to detect the slash and backslash keys. Does anybody has a clue?

Thanks, Ricardo.

Comment 22 Laura Abbott 2015-07-17 20:28:36 UTC
Can you share your dmesg? I suspect what's happening is the keyboard is coming up as a generic HID device and to actually get the mapping it needs a custom driver.

Comment 23 Ricardo Jurczyk Pinheiro 2015-07-22 16:08:43 UTC
Created attachment 1054899 [details]
dmesg of my F22 box.

Here goes my dmesg file.

Comment 24 Ricardo Jurczyk Pinheiro 2015-09-19 16:19:03 UTC
Does anybody has an answer?

Comment 25 Justin M. Forbes 2015-10-20 19:44:06 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 26 Fedora Kernel Team 2015-11-23 17:25:45 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.